org.keycloak.models.entities

## Class RequiredActionProviderEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.RequiredActionProviderEntity

-     public class RequiredActionProviderEntity
      extends AbstractIdentifiableEntity

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `alias`
    `protected boolean` | `defaultAction`
    `protected boolean` | `enabled`
    `protected String` | `name`
    `protected String` | `providerId`

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequiredActionProviderEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `Map<String,String>` | `getConfig()`
    `String` | `getName()`
    `String` | `getProviderId()`
    `boolean` | `isDefaultAction()`
    `boolean` | `isEnabled()`
    `void` | `setAlias(String alias)`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setDefaultAction(boolean defaultAction)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setName(String name)`
    `void` | `setProviderId(String providerId)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### alias

          protected String alias

    - #### name

          protected String name

    - #### providerId

          protected String providerId

    - #### enabled

          protected boolean enabled

    - #### defaultAction

          protected boolean defaultAction

  - ### Constructor Detail

    - #### RequiredActionProviderEntity

          public RequiredActionProviderEntity()

  - ### Method Detail

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias(String alias)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isEnabled

          public boolean isEnabled()

    - #### isDefaultAction

          public boolean isDefaultAction()

    - #### setDefaultAction

          public void setDefaultAction(boolean defaultAction)

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

Copyright © 2016 JBoss by Red Hat. All rights reserved.